Fixed a few onos-check-* tools.

Change-Id: I2bda9677aec461c091c6e24c5ba0fd6f6dacfff9
diff --git a/tools/test/bin/onos-check-apps b/tools/test/bin/onos-check-apps
index 0d1bf83..9bdf393 100755
--- a/tools/test/bin/onos-check-apps
+++ b/tools/test/bin/onos-check-apps
@@ -9,7 +9,7 @@
 aux=/tmp/stc-$$.log
 trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
 
-onos ${1:-$OCI} "onos:apps -s -a" > $aux
+onos ${1:-$OCI} "onos:apps -s -a" | grep -v /bin/client > $aux
 cat $aux
 
 # Normalize the installed apps
diff --git a/tools/test/bin/onos-check-flows b/tools/test/bin/onos-check-flows
index 6bfca16..6debebc 100755
--- a/tools/test/bin/onos-check-flows
+++ b/tools/test/bin/onos-check-flows
@@ -4,7 +4,7 @@
 # -----------------------------------------------------------------------------
 
 aux=/tmp/stc-$$.log
-trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
+trap "rm -f $aux 2>/dev/null" EXIT
 
 onos ${1:-$OCI} "onos:flows" > $aux
 cat $aux
diff --git a/tools/test/bin/onos-check-nodes b/tools/test/bin/onos-check-nodes
index 983d1e6..69187b6 100755
--- a/tools/test/bin/onos-check-nodes
+++ b/tools/test/bin/onos-check-nodes
@@ -6,15 +6,14 @@
 aux=/tmp/stc-$$.log
 trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
 
-onos ${1:-$OCI} "onos:nodes" > $aux
+onos ${1:-$OCI} "onos:nodes" | grep -v /bin/client > $aux
 cat $aux
 
 # Normalize the nodes
 cut -d= -f3 $aux | cut -d: -f1 | sort > $aux.1
 
-# Normalize the expected apps
-ONOS_NODES=$(env | egrep "OC[0-9]*=" | cut -d= -f2 | sort)
-nodes=${2:-$ONOS_NODES}
+# Normalize the expected nodes
+nodes=${2:-$ONOS_INSTANCES}
 (for node in $nodes; do echo $node; done) | sort > $aux.2
 
 # Check for differences
diff --git a/tools/test/bin/onos-check-summary b/tools/test/bin/onos-check-summary
index 008506e..ab7c22d 100755
--- a/tools/test/bin/onos-check-summary
+++ b/tools/test/bin/onos-check-summary
@@ -4,7 +4,7 @@
 # -----------------------------------------------------------------------------
 
 aux=/tmp/stc-$$.log
-trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
+trap "rm -f $aux 2>/dev/null" EXIT
 
 onos ${1:-$OCI} "onos:summary" > $aux
 cat $aux
diff --git a/tools/test/bin/onos-check-views b/tools/test/bin/onos-check-views
index 9b43414..421de90 100755
--- a/tools/test/bin/onos-check-views
+++ b/tools/test/bin/onos-check-views
@@ -7,11 +7,11 @@
 . $ONOS_ROOT/tools/build/envDefaults
 
 aux=/tmp/stc-$$.log
-trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT
+trap "rm -f $aux 2>/dev/null" EXIT
 
-onos ${1} "onos:ui-views" > $aux
+onos ${1:-$OCI} "onos:ui-views" > $aux
 cat $aux
 
-shift
+[ $# -gt 0 ] && shift
 
-grep "$@" $aux
\ No newline at end of file
+grep "${@:-topo}" $aux
\ No newline at end of file
diff --git a/tools/test/scenarios/setup.xml b/tools/test/scenarios/setup.xml
index 463b53f..740260f 100644
--- a/tools/test/scenarios/setup.xml
+++ b/tools/test/scenarios/setup.xml
@@ -33,6 +33,8 @@
             <step name="Wait-for-Start-${#}" exec="onos-wait-for-start ${OC#}"
                   requires="Install-${#},~Secure-SSH"/>
 
+            <step name="Check-Nodes-${#}" exec="onos-check-nodes ${OC#}"
+                  requires="~Wait-for-Start-${#}"/>
             <step name="Check-Logs-${#}" exec="onos-check-logs ${OC#}"
                   requires="~Wait-for-Start-${#}"/>
             <step name="Check-Components-${#}"